[or-cvs] Add an XXX to torify.in - "which" is evil,

Peter Palfrader weasel at seul.org
Mon Apr 17 02:46:16 UTC 2006


Update of /home/or/cvsroot/tor/contrib
In directory moria:/tmp/cvs-serv21044

Modified Files:
	torify.in 
Log Message:
Add an XXX to torify.in - "which" is evil,
quote a few variables
do -h and --help
add (c) and license ("Same as tor")
print an error message if exec falls through

Index: torify.in
===================================================================
RCS file: /home/or/cvsroot/tor/contrib/torify.in,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -p -d -r1.3 -r1.4
--- torify.in	16 Apr 2006 22:48:41 -0000	1.3
+++ torify.in	17 Apr 2006 02:46:14 -0000	1.4
@@ -1,33 +1,45 @@
 #! /bin/sh
+
 # Wrapper script for use of the tsocks(8) transparent socksification library
 # See the tsocks(1) and torify(1) manpages.
+
+# Copyright (c) 2004, 2006 Peter Palfrader
 # Modified by Jacob Appelbaum <jacob at appelbaum.net> April 16th 2006
+# May be distributed under the same terms as Tor itself
+
 
 # Define and ensure we have tsocks
-TSOCKS=`which tsocks`;
-if [ ! -x $TSOCKS ];
+# XXX: what if we don't have which?
+TSOCKS="`which tsocks`"
+if [ ! -x "$TSOCKS" ]
 then
-        echo "Can't find tsocks in PATH. Perhaps you haven't installed it?";
-        exit 1;
+        echo "$0: Can't find tsocks in PATH. Perhaps you haven't installed it?" >&2
+        exit 1
 fi
 
 # Check for any argument list
-if [ -z $1 ];
+if [ "$#" = 0 ]
 then
-        echo "Usage: $0 <application> <arguments>";
-        exit 1;
+        echo "Usage: $0 <command> [<options>...]" >&2
+        exit 1
+fi
+if [ "$#" = 1 ] && ( [ "$1" = "-h" ] || [ "$1" = "--help" ] )
+then
+        echo "Usage: $0 <command> [<options>...]"
+        exit 0
 fi
 
 # Define our tsocks config file
-TSOCKS_CONF_FILE=@CONFDIR@/tor-tsocks.conf
+TSOCKS_CONF_FILE="@CONFDIR@/tor-tsocks.conf"
 export TSOCKS_CONF_FILE
 
 # Check that we've got a tsocks config file
-if [ -r $TSOCKS_CONF_FILE ];
+if [ -r "$TSOCKS_CONF_FILE" ]
 then
 	exec tsocks "$@"
+	echo "$0: Failed to exec tsocks $@" >&2
+	exit 1
 else
-	echo "Error: Missing tsocks configuration file \"$TSOCKS_CONF_FILE\".";
-	exit 1;
+	echo "$0: Missing tsocks configuration file \"$TSOCKS_CONF_FILE\"." >&2
+	exit 1
 fi
-



More information about the tor-commits mailing list